package info.aspirecn.iov.sjjh.supplier10000033.vo;

import lombok.Data;
import lombok.ToString;

/**
 * 解析请求JSON串对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class CompanySearchJsonResolveObject {
	/**搜索关键字（公司名、注册号或社会统一信用代码）*/
	private String keyword;	
	/**省份代码*/
	private String provinceCode;	
	/**地级市代码*/
	private String cityCode;	
	/**每页条数，默认为10,最大不超过20条*/
	private int pageSize;	
	/**页码，默认第一页*/
	private int pageIndex;	

	
}