package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 	企业工商数据查询模糊搜索返回对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class CompanySearchResponseObject extends ParentObject{
	
	@JsonProperty("Paging")
	private PageObject paging;
	
	@JsonProperty("Result")
	private List<CompanySearchChildObject> result;
	
	@Data
	public static class CompanySearchChildObject {
		/**内部KeyNo */
		@JsonProperty("KeyNo")
		private String keyNo;
		
		/**公司名称 */
		@JsonProperty("Name")
		private String name;
		
		/**法人名称 */
		@JsonProperty("OperName")
		private String operName;
		
		/**成立日期 */
		@JsonProperty("StartDate")
		private String startDate;
		
		/**企业状态 */
		@JsonProperty("Status")
		private String status;
		
		/**注册号 */
		@JsonProperty("No")
		private String no;
		
		/**社会统一信用代码 */
		@JsonProperty("CreditCode")
		private String creditCode;
		
	}
}
