package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 	被执行人查询返回对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class SearchZhiXingResponseObject extends ParentObject{
	
	@JsonProperty("Paging")
	private PageObject paging;
	
	@JsonProperty("Result")
	private List<SearchZhiXingChildObject> result;
	
	@Data
	public static class SearchZhiXingChildObject {
		/**Id */
		@JsonProperty("Id")
		private String Id;
		
		
		/**官网系统ID（内部保留字段，一般为空）*/
		@JsonProperty("Sourceid")
		private String sourceid;
		
		
		/**名称 */
		@JsonProperty("Name")
		private String name;
		
		
		/**立案时间*/
		@JsonProperty("Liandate")
		private String liandate;
		
		
		/**立案号 */
		@JsonProperty("Anno")
		private String anno;
		
		
		/**执行法院 */
		@JsonProperty("ExecuteGov")
		private String executeGov;
		
		
		/**标地 */
		@JsonProperty("Biaodi")
		private String biaodi;
		
		
		/**状态（内部保留字段，现已不使用） */
		@JsonProperty("Status")
		private String status;
		
		
		/**身份证号码/组织机构代码 */
		@JsonProperty("PartyCardNum")
		private String partyCardNum;
		
		
		/**数据更新时间（内部保留字段，现已不再更新时间） */
		@JsonProperty("Updatedate")
		private String updatedate;
		
	}
}
