package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 严重违法信息接口响应对象
 * @author minmin
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class SeriousViolationListResponseObject extends ParentObject{
	
	/**返回的数据，详见每个接口说明*/
	@JsonProperty("Result")
	private List<SeriousViolationListChildObject> result;
	
	@Data
	public static class SeriousViolationListChildObject {
		/**类型*/
		@JsonProperty("Type")
		private String type;
		
		/**列入原因*/
		@JsonProperty("AddReason")
		private String addReason;

		/**列入时间*/
		@JsonProperty("AddDate")
		private String addDate;
		
		/**列入决定机关*/
		@JsonProperty("AddOffice")
		private String addOffice;	
		
		/**移除原因*/
		@JsonProperty("RemoveReason")
		private String removeReason;
		
		/**移除时间*/
		@JsonProperty("RemoveDate")
		private String removeDate;
		
		/**移除决定机关*/
		@JsonProperty("RemoveOffice")
		private String removeOffice;

	}

}