package info.aspirecn.iov.sjjh.supplier10000033;
/**
 * 常量类
 * @author bzh
 *
 */
public class SjjhConstants {
private SjjhConstants() {
		
	}
	/**编码*/
	public static final String PARA_ENCODE  = "UTF-8";
	public static final int PARA_ZERO = 0;
	
	/**工商接口调用携带验证加密值 Md5(key+Timespan+SecretKey) 加密的32位大写字符串)Token*/
	public static final String TOKEN = "Token";
	/**工商接口调用携带精确到秒的Unix时间戳*/
	public static final String TIMESPAN = "Timespan";
	
	/**返回提示语*/
	public static final String INTERFACE_SUCCESS_TEXT = "查询成功，返回结果";
	public static final String INTERFACE_SUCCESS_NOTEXT = "查询无结果";
	public static final String QUERY_ERROR_TEXT = "查询错误";
	
	/**接口返回码*/
	public static final String INTERFACE_CODE_200 = "200";//查询成功
	public static final String INTERFACE_CODE_201 = "201";//查询无结果
	public static final String INTERFACE_CODE_202 = "202";//参数错误
	
	/**对比结果是否一致*/
	public static final String DISACCORD_NAME = "公司名称不一致";
	public static final String DISACCORD_CREDITCODE = "社会统一信用代码不一致";
	public static final String DISACCORD = "不一致";//
	public static final String UNANIMOUS = "一致";//
	public static final String OTHER ="其他";//
	
	/**校验项*/
	public static final String NAME = "公司名称";
	public static final String CREDITCODE = "社会统一信用代码";
	
	/**接口请求参数*/
	public static final String INTERFACE_REQUEST_PARA_KEY = "?key=";
	public static final String INTERFACE_REQUEST_PARA_KEYWORD = "&keyword=";
	public static final String INTERFACE_REQUEST_PARA_PAGEINDEX = "&pageIndex=";
	public static final String INTERFACE_REQUEST_PARA_PAGESIZE = "&pageSize=";
	public static final String INTERFACE_REQUEST_PARA_CITYCODE = "&cityCode=";
	public static final String INTERFACE_REQUEST_PARA_PROVINCECODE = "&provinceCode=";
	public static final String INTERFACE_REQUEST_PARA_SEARCHKEY = "&searchKey=";
	public static final String INTERFACE_REQUEST_PARA_SEARCHTYPE = "&searchType=";
	public static final String INTERFACE_REQUEST_PARA_ISEXACTLYSAME = "&isExactlySame=";
	public static final String INTERFACE_REQUEST_PARA_CASETYPE = "&caseType=";
	public static final String INTERFACE_REQUEST_PARA_COMPANYNAME = "&companyName=";
}
