package info.aspirecn.iov.sjjh.supplier10000033.service;


import javax.servlet.http.HttpServletRequest;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;


/**
 * 
 * @author bzh
 *
 */
public interface Supplier10000033Service {

	 
	/**
	 * 获取公司信用详细信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject queryCompanyCreditDetails(HttpServletRequest request,String customBody,int outTime);

	/**
	 * 获取公司信用详细信息-数据信用
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */

	public ChannelTypeHandleResponseObject queryCompanyCreditDetailsSjxy(HttpServletRequest request, String customBody,
																		 int outTime);
	
	
	
	/**
	 * 企业工商数据查询模糊搜索
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getCompanyCreditDetailsSearch(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 裁判文书查询
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getSearchJudgmentDoc(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 裁判文书详情查询
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getJudgementDetail(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 失信信息查询
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getSearchShiXin(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 被执行人信息查询
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getSearchZhiXing(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 法院公告列表信息查询
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getSearchCourtAnnouncement(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 开庭公告查询
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
    ChannelTypeHandleResponseObject getSearchCourtNotice(HttpServletRequest request, String customBody,int outTime);
	/**
	 * 获取股权冻结信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getJudicialAssistance(HttpServletRequest request,String customBody,int outTime);
	
	
	/**
	 * 获取动产抵押信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getChattelMortgage(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 获取环保处罚列表
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getEnvPunishmentList(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 获取简易注销信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getSimpleCancellation(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 司法拍卖列表
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getJudicialSaleList(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 获取土地抵押列表
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getLandMortgageList(HttpServletRequest request,String customBody,int outTime);
	
	/**
	 * 获取严重违法信息
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getSeriousViolationList(HttpServletRequest request,String customBody,int outTime);
	/**
	 * 企业工商信息核验
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject getInfo(HttpServletRequest request,String customBody,int outTime);



}
