package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 获取环保处罚列表接口响应对象
 * @author minmin
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class EnvPunishmentResponseObject extends ParentObject{
	
	/**分页对象*/
	@JsonProperty("Paging")
	private PageObject paging;
	
	/**返回的数据，详见每个接口说明*/
	@JsonProperty("Result")
	private List<EnvPunishmentChildObject> result;
	
	@Data
	public static class EnvPunishmentChildObject {
		/**id*/
		@JsonProperty("Id")
		private String id;
		
		/**决定书文号*/
		@JsonProperty("CaseNo")
		private String caseNo;

		/**处罚日期*/
		@JsonProperty("PunishDate")
		private String punishDate;
		
		/**违法类型*/
		@JsonProperty("IllegalType")
		private String illegalType;	
		
		/**处罚单位*/
		@JsonProperty("PunishGov")
		private String punishGov;

	}
	
	
}