package info.aspirecn.iov.sjjh.supplier10000033.vo;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 通用接口返回中的分页对象
 * @author minmin
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class PageObject {
	/**每页显示数*/
	@JsonProperty("PageSize")
	private String pageSize;
	
	/**当前页号*/
	@JsonProperty("PageIndex")
	private String pageIndex;
	
	/**总页数*/
	@JsonProperty("TotalRecords")
	private String totalRecords;
}
