package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 开庭公告查询返回对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class SearchCourtNoticeResponseObject extends ParentObject{
	
	@JsonProperty("Paging")
	private PageObject paging;
	
	@JsonProperty("Result")
	private List<SearchCourtNoticeChildObject> result;
	
	@Data
	public static class SearchCourtNoticeChildObject {
		
		
		@JsonProperty("Defendantlist")
		private String defendantlist;
		
		
		@JsonProperty("Executegov")
		private String executegov;
		
		
		@JsonProperty("Prosecutorlist")
		private String prosecutorlist;
		
		
		@JsonProperty("LianDate")
		private String lianDate;
		
		
		@JsonProperty("CaseReason")
		private String caseReason;
		
		
		@JsonProperty("Id")
		private String id;
		
		@JsonProperty("CaseNo")
		private String caseNo;
		
	}
}
