package info.aspirecn.iov.sjjh.supplier10000033.vo;

import lombok.Data;
import lombok.ToString;

/**
 * 解析请求JSON串对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class SearchJudgmentDocJsonResolveObject {
	/**查询关键字*/
	private String searchKey;	
	/**是否要与关键字完全一样,默认为False*/
	private boolean exactlySame;	
	/**案件类型(ms:民事 xs:刑事 xz:行政 zscq:知识产权 pc:赔偿 zx:执行)默认为空。*/
	private String caseType;	
	/**每页条数，默认为10，最大不超过50*/
	private int pageSize;	
	/**页码，默认第一页*/
	private int pageIndex;	

	
}