package info.aspirecn.iov.sjjh.supplier10000033.vo;

import lombok.Data;
import lombok.ToString;

/**
 * 解析请求JSON串对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class SearchShiXinZhiXingJsonResolveObject {
	
	/**查询关键字*/
	private String searchKey;	
	/**是否要与关键字完全一样*/
	private boolean exactlySame;	
	/**默认为空通过公司名查询，输入1可以通过注册号或社会统一信用代码进行精确查询*/
	private String searchType;	
	/**每页条数，默认为10，最大不超过50*/
	private int pageSize;	
	/**页码，默认第一页*/
	private int pageIndex;	

	
}